function plot2(x,y,t,symbole,taille)
%
% syntaxe: plot2(x,y,t,symbole,taille)
%
% en input: x: variable en abscisse
%           y: variable en ordonne
%           t: identificateur  placer  cote du point
%           symbole: symbole  utiliser pour marquer l'emplacement (comme plot),
%           taille: taille des fontes
%
% fonction pour tracer un graphe avec etiquette a chaque point
%
[n,p]=size(x);             % nombre d'observations
coul=char('y','b','c','m','k','r','w','g');
if ~isempty(symbole)   

id1=symbole(:,1)==coul;id2=[];
if length(symbole)>1;
   id2=symbole(:,2)==coul;
end

if sum(id1)==1;
   coul=coul(id1)
elseif sum(id2)==1;
   coul=coul(id2);
else
   coul='k';
end

  plot(x,y,symbole,'markersize',taille/2.5);        
end

if isstr(t),               % si t est de type caractre
  ttt=text(x,y,t);                  % on place l'identificateur
else                       % sinon
  % pour chaque observation
  tt=num2str(t);             % on convertit le nombre en caractre
  tt=[ones(length(t),1)*' ',tt];
  ttt=text(x,y,tt,'color',coul);           % on place l'identificateur
end

set(ttt,'fontsize',taille);
