function [s]=stepw(y,x);
%
% syntaxe [s]=stepw(y,x);
%
% stepw reoit en input y, vecteur nx1 (variable  expliquer) et x,
% matrice nxp des variables explicatives. Il effectue la rgression pas  pas
% (avant) et place dans s, dans l'ordre : # variable retenue, r2, sce et F
% associ  l'ajout.
%

% Quelques calculs prliminaires

ss=std(x);
id=ss>0;               % variable non-constante
p=sum(id);             % nombre de variables non-constantes
[n,pp]=size(x);
x=x(:,id);             % ne retenir que les variables non-constantes
ivar=[1:pp]';          % identification de ces variables
ivar=ivar(id);
fix=zeros(1,p);
sct=y'*y;
scm=n*mean(y)^2;
sctm=sct-scm;
sce=sctm;
r2=0;

% On boucle p fois pour dterminer la valeur  inclure, on effectue la rgres-
% sion avec cette variable et on garde les rsultats dans s.

for i=1:p;
  rp=corpar2([x,y],[fix,0]);        % matrice de correlations partielles
  rp=max(abs(rp),0);                % remplace les NaN par des 0; v.abs. des r
  [t,k]=max(rp(1:p,p+1));           % trouve corr. part. maximale de x avec y
  fix(k)=1;                         % indique que cette variable est retenue
  r2=r2+rp(k,p+1)^2*(1-r2);         % nouveau r2
  scec=(1-r2)*sctm;                 % nouveau sce
  s(i,1)=ivar(k);                   % k: # de la variable inclue
  s(i,2)=r2;                        % r2
  s(i,3)=scec;                      % sce
  s(i,4)=(sce-scec)*(n-1-i)/scec;   % F ajout
  sce=scec;                         % on met a jour le nouveau sce
end


