function influ=INFLUENCE(y,x,W);
%
% function influ=influenc(y,x,W);
% fonction qui calcule l'influence des observations d'une rgression
% y: var.  expliquer;
% x: matrice des variables explicatives
% influ: influence des observations (doit tre infrieure  1)

[n,p]=size(x);
influ=zeros(n,1);
[b,yc,e,sc,r2,s2b,rb]=Wregres(y,x,W,1);
xi=[x ones(n,1)];
for i=1:n,
  id=ones(n,1);
  id(i)=0;
  id=id~=0;           % commande pour rendre le programme compatible avec Matlab5
  xt=x(id,:);
  Wt=W(id,id);
  yt=y(id);
  [bi,yci,ei,sci,r2i,s2bi,rbi]=Wregres(yt,xt,Wt,1);
  influ(i)=(bi-b)'*xi'*xi*(bi-b)/(p+1)/sc(3,2);
end
