% PrepReg;
%
% Prpare les attributs "x" et les parametres "y" pour la rgression. 
% Garder les modeles souhaits pour faire la rgression
%
% Maxime Claprood
%
%
x1=PPX(and(PPX(:,1)>=no1,PPX(:,1)<=no2),:);
x2=PPZ(and(PPZ(:,1)>=no1,PPZ(:,1)<=no2),:);
x3=tauEE(and(tauEE(:,1)>=no1,tauEE(:,1)<=no2),:);
x4=DBXDBZ(and(DBXDBZ(:,1)>=no1,DBXDBZ(:,1)<=no2),:);
x=[x1(:,[1,3,4]) x2(:,[3,6:9]) x3(:,[3,6]) x4(:,2)];
w=a.w(and(a.w(:,1)>=no1,a.w(:,1)<=no2),:);
%
% Enlever les modeles dont les attributs ne sont pas bien calculs
%
ind=find(sum(x,2)<1e6);
x=x(ind,:);
w=w(ind,:);
y=a.para(x(:,1),noY);
n=length(x);
%
% Calculer les poids pour l'inversion
%
if weight==1
    [W]=poids(w);
else
    W=eye(size(w,1));
end
%
% Transformations sur les variables X de la rgression
%
x(:,[3,5,6,7,8,9,11])=log(x(:,[3,5,6,7,8,9,11]));
xName=char('Modele','|x_{1}(x)-x_{2}(x)|','log([dbx_{1}/dt]/[dbx_{2}/dt])','|x_{1}(z)-x_{2}(z)|','log([dbz_{1}/dt]/[dbz_{2}/dt])','log([dbz_{1}/dt]/[dbz_{3}/dt])','log([dbz_{2}/dt]/[dbz_{3}/dt])','log(|x_{1}(z)-x_{2}(z)|/|x_{1}(z)-x_{3}(z)|)','log(tau)','Lambda EE','log(|x_{1}(x)-x_{2}(x)|/|x_{1}(z)-x_{2}(z)|)');
